From f6443c31da9914e0d21b6da35cc90be9ecb40ca6 Mon Sep 17 00:00:00 2001
From: Haidong Yu <yuhaidong@uniontech.com>
Date: Mon, 21 Sep 2020 17:57:36 +0800
Subject: [PATCH 2/2] ws2_32: Add missing LeaveCriticalSection.

Signed-off-by: Haidong Yu <yuhaidong@uniontech.com>
---
 dlls/ws2_32/socket.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/dlls/ws2_32/socket.c b/dlls/ws2_32/socket.c
index 0ed1af3092..4162549d8b 100644
--- a/dlls/ws2_32/socket.c
+++ b/dlls/ws2_32/socket.c
@@ -494,7 +494,10 @@ static BOOL socket_list_add(SOCKET socket)
     }
     new_size = max(socket_list_size * 2, 8);
     if (!(new_array = heap_realloc(socket_list, new_size * sizeof(*socket_list))))
+    {
+        LeaveCriticalSection(&cs_socket_list);
         return FALSE;
+    }
     socket_list = new_array;
     memset(socket_list + socket_list_size, 0, (new_size - socket_list_size) * sizeof(*socket_list));
     socket_list[socket_list_size] = socket;
-- 
2.20.1

